Subject: question on powerpc pthread mutexes and memory barriers

From: "Chris Friesen" <[email-masked]>
Date: Thu, 09 Jul 2009 15:19:39 -0600

Hi all,

This probably isn't the right place to ask about this, but does anyone
know where the implied memory barrier happens for pthread mutexes in the
uncontended case?  I'm looking at the glibc code and I don't see any
barrier instructions for mutexes, only semaphores and spinlocks.

Thanks,

Chris